import './tailwind.css';
import Vue from 'vue';
import router from '@/router/index'
import store from './store'
import components from './components';
import PreviewImage from 'vue-photo-preview';
import 'vue-photo-preview/dist/skin.css'
import App from './App.vue';

Vue.config.productionTip = false
Vue.use(components);
Vue.use(PreviewImage, {
  fullscreenEl: false,
  closeEl: false,
  tapToClose: true, //点击滑动区域应关闭图库
  shareEl: false, //控制是否显示分享按钮
  zoomEl: true, //控制是否显示放大缩小按钮
  counterEl: true, //控制是否显示左上角图片数量按钮
  arrowEl: true, //控制如图的左右箭头（pc浏览器模拟手机时）
  tapToToggleControls: true, //点击应切换控件的可见性
  clickToCloseNonZoomable: true ,//点击图片应关闭图库，仅当图像小于视口的大小时
})


new Vue({
  store,
  router,
  render: h => h(App),
}).$mount('#app')
